> For the complete documentation index, see [llms.txt](https://developer.barchart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.barchart.com/getting-started/subscription-types/quotes.md).

# Quotes

Subscribe to `QUOTES` to receive top-of-book, or best bid and offer (BBO), updates. Each `marketUpdate` includes the current bid and offer price, quantity, and order count.

Use BBO updates to track the best available prices and displayed liquidity. The following updates show changes for December Corn.

### Best bid and offer message examples

```protobuf
marketUpdate {
  marketId: 1596974561793814014
  transactionTime: 1634157040305588641
  marketSequence: 3197957
  bbo {
    bidPrice: 511250000000
    bidQuantity: 9
    bidOrderCount: 3
    offerPrice: 511250000000
    offerQuantity: 10
    offerOrderCount: 4
  }
}

marketUpdate {
  marketId: 1596974561793814014
  transactionTime: 1634157219716391027
  marketSequence: 3197960
  bbo {
    bidPrice: 511250000000
    bidQuantity: 9
    bidOrderCount: 3
    offerPrice: 511250000000
    offerQuantity: 12
    offerOrderCount: 5
  }
}

marketUpdate {
  marketId: 1596974561793814014
  transactionTime: 1634157251821302183
  marketSequence: 3197962
  bbo {
    bidPrice: 511250000000
    bidQuantity: 12
    bidOrderCount: 4
    offerPrice: 511250000000
    offerQuantity: 12
    offerOrderCount: 5
  }
}

marketUpdate {
  marketId: 1596974561793814014
  transactionTime: 1634157335536570197
  marketSequence: 3197964
  bbo {
    bidPrice: 511250000000
    bidQuantity: 12
    bidOrderCount: 4
    offerPrice: 511250000000
    offerQuantity: 13
    offerOrderCount: 6
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.barchart.com/getting-started/subscription-types/quotes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
